TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

PutAssoc_ ( alist A, list keyval )

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
Success | any | (Default: SUCCESS) | Determines what to return in case of success.

### Description

<shortdoc> Associate `key' (taken as first element of `keyval') with `val' (taken as second element of `keyval') in alist `A' and return FAILURE on failure.
Note: `A' is modified by side-effect. </shortdoc>

### Examples

A:=Alist(); PutAssoc_(A,[2,"bar"]); A;

### See also

PutAssoc ( alist, list ) -> alist

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack